/* ============================
   RESET
============================ */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Poppins", sans-serif;
    background: linear-gradient(to bottom,#070707,#141414,#070707);
    color: white;
}

h1,
h2,
h3{
    font-family: "Cinzel", serif;
}
/* ============================
   HEADER
============================ */

header {
    position: fixed;
    top: 0;
    left: 0;

    width: 100%;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 20px 8%;

   background: rgba(8, 8, 8, 0.45);
   backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);

   border-bottom: 1px solid rgba(212, 175, 55, 0.15);
   box-shadow: 0 8px 20px rgba(0, 0, 0, 0.08);


    z-index: 999;
}

.logo h1{
    color:#D4AF37;
    font-size:2rem;
    letter-spacing:4px;
    font-weight:600;
}

nav ul{
    display:flex;
    gap:35px;
    list-style:none;
}

nav a{
    text-decoration:none;
    color:white;
    transition:.3s;
}

nav a:hover{
    color:#d4af37;
}

/* ============================
   HERO
============================ */

.hero{

    height:100vh;

    display:flex;
    justify-content:center;
    align-items:center;
    text-align:center;

    padding:20px;

    background:
    linear-gradient(rgba(0,0,0,.35),
    rgba(0,0,0,.50)),
 
    url("imagenes/banner/banner_principal.png");

    background-size:cover;

    background-position:center;

    background-repeat:no-repeat;
}

.hero-content{
    max-width:700px;
}

.hero h2{

    font-size:4.2rem;

    color:#F3D27A;

    letter-spacing:3px;

    margin-bottom:25px;

    line-height:1.2;

    text-shadow: 0 0 20px rgba(212,175,55,.25);
}

.hero p{

    font-size:1.15rem;

    color:#d8d8d8;

    line-height:1.8;

    margin-bottom:40px;
}

/* ============================
   BOTÓN
============================ */

.btn{

    display:inline-block;

    padding:15px 35px;

    background:#d4af37;

    color:black;

    text-decoration:none;

    border-radius:40px;

    font-weight:600;

    transition:.3s;

    border: 1px solid #D4AF37;

    letter-spacing: 1px;

    margin-top: 25px;

}

.btn:hover{

    transform:translateY(-5px) scale(1.05);

    box-shadow:0 15px 35px rgba(212,175,55,.45);

    background: #F3D27A;
}

/* ============================
   SECCIONES
============================ */

section{

    padding:45px 5%;
}

section h2{

    text-align:center;

    margin-bottom:50px;

    font-size:2.2rem;

    color:#d4af37;
}

/*==========================
        CATÁLOGO
===========================*/

.catalogo{

    background:#0b0b0b;

}

.titulo-seccion{

    max-width:700px;

    margin:0 auto 30px;

    text-align:center;

}

.titulo-seccion span{

    color:#D4AF37;

    letter-spacing:4px;

    font-size:.9rem;

    font-weight:600;

}

.titulo-seccion h2{

    font-size:3rem;

    margin:15px 0;

    color:#F3D27A;

}

.titulo-seccion p{

    color:#cfcfcf;

    line-height:1.8;

    font-size:1.05rem;

}

/*==========================
      CATEGORÍAS
===========================*/

.categorias{

    display:flex;
    gap:40px;

    margin-top:20px;

}

.categoria-card{

    flex:1;

    height:450px;

    border-radius:20px;

    overflow:hidden;

    position:relative;

    display:flex;

    align-items:flex-end;

    transition:.4s;

    background-size:cover;

    background-position:center;

    cursor:pointer;

}

.categoria-card:hover{

    transform:translateY(-10px);

}

.masculino{

    background-image:
    linear-gradient(rgba(0,0,0,.25),
    rgba(0,0,0,.75)),
    url("imagenes/banner/club\ de\ nuite_banner.png");

}

.femenino{

    background-image:
    linear-gradient(rgba(0,0,0,.25),
    rgba(0,0,0,.75)),
    url("imagenes/banner/yara_banner.png");

}

.overlay{

    width:100%;

    padding:40px;

    background:linear-gradient(
        to top,
        rgba(0,0,0,.92),
        rgba(0,0,0,.15)
    );

    transform:translateY(90px);

    transition:.4s;
}

.overlay h3{

    color:#F3D27A;

    font-size:2rem;

    margin-bottom:15px;

}

.overlay p{

    color:#ddd;

    line-height:1.8;

    margin-bottom:25px;

    opacity:.9;

}

.btn-categoria{

    color:#D4AF37;

    text-decoration:none;

    border-bottom:1px solid #D4AF37;

    padding-bottom:5px;

    transition:.3s;

}

.btn-categoria:hover{

    color:white;

    border-color:white;

}
.categoria-card:hover .overlay{

    transform:translateY(0);

}
/*==========================
      COLECCIÓN
===========================*/

.coleccion{

    padding:120px 8%;

}

.titulo-coleccion{

    text-align:center;

    margin-bottom:60px;

}

.titulo-coleccion span{

    color:#D4AF37;

    letter-spacing:4px;

    font-size:.9rem;

}

.titulo-coleccion h2{

    color:#F3D27A;

    font-size:2.8rem;

    margin-top:15px;

}
/*==========================
      TARJETAS
===========================*/

.grid-perfumes{

    display:grid;

    grid-template-columns:repeat(auto-fit,minmax(260px,1fr));

    gap:35px;

}

.card-perfume{

    background: linear-gradient(180deg,#1a1a1a,#111);

    border-radius:18px;

    overflow:hidden;

    transition:.35s;

    border:1px solid rgba(212,175,55,.15);
    box-shadow: 0 15px 35px rgba(0,0,0,.25);

}

.card-perfume:hover{

    transform:translateY(-10px);

    border-color:#D4AF37;
    box-shadow: 0 20px 45px rgba(212,175,55,.18);

}

.card-perfume img{

    width:100%;
    height:380px;
    object-fit:contain;

    transform:scale(1.15);

    transition:.4s;

}

.card-perfume:hover img{

    transform:scale(1.22);

}

.card-perfume h3{

    color:#F3D27A;

    padding:20px 20px 8px;

    font-size:1.4rem;

}

.card-perfume p{

    color:#bbb;

    padding:0 20px;

}

.card-perfume span{

    display:block;

    color:#F3D27A;

    font-size:1.6rem;

    font-weight:700;

    padding:10px 20px 20px;
    border-top:1px solid rgba(255,255,255,.08);

    margin:15px 20px 0;

    padding-top:20px;

}


.card-perfume a{

    display:block;

    margin:0 20px 20px;

    padding:14px;

    text-align:center;

    background:#D4AF37;

    color:black;

    text-decoration:none;

    border-radius:10px;

    font-weight:600;

    transition:.3s;

}

.card-perfume a:hover{

    background:#F3D27A;

}
/*==========================
      DESTACADOS
===========================*/

.destacados{

    background:#111;

}

.grid-destacados{

    display:grid;

    grid-template-columns:repeat(auto-fit,minmax(280px,1fr));

    gap:35px;

}
.imagen-perfume {
    height: 380px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}
/* ================= MARCAS ================= */

.marcas{

    padding: 90px 8%;
    text-align: center;

}

.logos-marcas{

    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

    gap: 40px;
    margin-top: 50px;

}

.logos-marcas img{

    width: 300px;
    height: 130px;
    object-fit: contain;

    opacity: .75;
    transition: .3s;

}

.logos-marcas img:hover{

    opacity: 1;
    transform: scale(1.08);

}
/* ================= RESPONSIVE ================= */

@media (max-width: 768px){

    header{
        flex-direction: column;
        align-items: center;
        padding: 15px 20px;
        gap: 15px;
    }


    .logo h1{
        font-size: 1.5rem;
        letter-spacing: 2px;
        text-align: center;
    }


    .buscador{
        width:100%;
        padding:20px 5%;
    }


    .buscador input{
        width:100%;
        padding:14px;
        border-radius:10px;
        font-size:1rem;
    }


    nav{
        width:100%;
        display:flex;
        justify-content:center;
    }


    nav ul{
        flex-direction:column;
        gap:10px;
        text-align:center;
        width:100%;
    }


    nav a{
        font-size:1rem;
    }

    .hero{
    margin-top:110px;
    height:55vh;
    padding:20px;
    text-align:center;
    }


    .hero h2{
        font-size:2rem;
    }


    .hero p{
        font-size:1rem;
    }


    /* Ocultar categorías grandes en celular */
    .categorias{
        display:none;
    }


    .productos{
        grid-template-columns:1fr;
        padding:20px;
    }


    .card{
        width:100%;
    }


    .logos-marcas img{
        width:150px;
        height:80px;
        object-fit:contain;
    }


    .grid-destacados,
    .grid-perfumes{
        gap:15px;
    }


    .grid-destacados{
        grid-template-columns:repeat(2,1fr);
    }


    .card-perfume img{
        height:180px;
        object-fit:contain;
    }
    section{
    padding:25px 5%;
}


.titulo-seccion{
    margin-bottom:15px;
}


.titulo-seccion p{
    margin-bottom:15px;
}
    .grid-destacados,
    .grid-perfumes{
        grid-template-columns:repeat(2, minmax(0,1fr));
        gap:12px;
    }


    .card-perfume{
        width:100%;
        overflow:hidden;
    }


    .card-perfume .imagen-perfume{
        height:170px;
    }


    .card-perfume img{
        width:100%;
        height:100%;
        object-fit:contain;
    }


    .card-perfume h3{
        font-size:0.9rem;
    }


    .card-perfume span{
        font-size:0.95rem;
    }


    .etiqueta{
        font-size:0.7rem;
        padding:5px 8px;
    }


    .logos-marcas img{
        width:100px;
        height:60px;
    }
    footer h2{
    font-size:1.5rem;
}
.catalogo-genero{
    display:none;
}

    .modal-contenido {
        flex-direction: column;
        width: 90%;
        max-height: 90vh;
        overflow-y: auto;
    }

    .modal-contenido img {
        width: 80%;
        max-width: 280px;
        height: auto;
        object-fit: contain;
        margin: 20px auto;
        display: block;
    }

    .modal-info {
        padding: 25px;
    }

}
    /*==========================
      MARCAS
===========================*/

.marca-perfumes{

    margin-bottom: 90px;

}

.logo-marca{

    display: block;
    margin: 0 auto 30px;

    width: 300px;
    max-width: 100%;
    object-fit: contain;

}

.titulo-marca{

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 25px;

    margin: 70px 0 45px;

    color: #F3D27A;

    font-family: "Cinzel", serif;

    font-size: 2rem;

    letter-spacing: 4px;

    text-transform: uppercase;
    text-shadow: 0 0 18px rgba(212,175,55,.20);

}

.titulo-marca::before,
.titulo-marca::after{

    content: "";

    width: 120px;
    height: 1px;

    background: rgba(212,175,55,.35);

}
/*==========================
      ETIQUETAS
===========================*/

.imagen-perfume{

    position: relative;

}

.etiqueta{

    position: absolute;

    top: 15px;
    left: 15px;

    background: #D4AF37;
    color: #111;

    padding: 8px 16px;

    border-radius: 30px;

    font-size: .75rem;

    font-weight: 700;

    letter-spacing: 1px;

    z-index: 10;

    box-shadow: 0 8px 20px rgba(0,0,0,.35);

}
.buscador{

    max-width:600px;

    margin:0 auto 20px;

}

.buscador input{

    width:100%;

    padding:18px 25px;

    background:#171717;

    color:white;

    border:1px solid rgba(212,175,55,.25);

    border-radius:50px;

    font-size:1rem;

    outline:none;

    transition:.3s;

}

.buscador input:focus{

    border-color:#D4AF37;

    box-shadow:0 0 20px rgba(212,175,55,.15);

}
/*==========================
          FOOTER
===========================*/

footer{

    background:#0b0b0b;

    padding:70px 8%;

    text-align:center;

    border-top:1px solid rgba(212,175,55,.15);

}

footer h2{

    color:#F3D27A;

    font-family:"Cinzel", serif;

    letter-spacing:4px;

    margin-bottom:15px;

}

footer p{

    color:#bbb;

}

.footer-info{

    display:flex;

    justify-content:center;

    gap:40px;

    flex-wrap:wrap;

    margin:35px 0;

}

.footer-info span{

    color:#ddd;

}

.copyright{

    color:#777;

    font-size:.9rem;

    margin-top:40px;

}
#contacto p{

    margin-bottom: 35px;

}
/* ================= RESULTADOS DE BÚSQUEDA ================= */

.resultados-busqueda {
    padding: 60px 5%;
}



/* ================= EXPLORAR MARCAS ================= */

.explorar-marcas{
    padding:60px 8%;
    text-align:center;
}


.lista-marcas{
    display:flex;
    justify-content:center;
    flex-wrap:wrap;
    gap:15px;
    margin:30px 0;
}


.lista-marcas button,
#opcionesMarca button{

    background:#D4AF37;
    color:#111;
    border:none;
    padding:12px 25px;
    border-radius:30px;
    font-weight:600;
    cursor:pointer;
    transition:.3s;

}


.lista-marcas button:hover,
#opcionesMarca button:hover{

    transform:translateY(-3px);

}


#opcionesMarca{

    margin-top:30px;

}


#opcionesMarca h3{

    font-family:Cinzel, serif;
    font-size:28px;
    margin-bottom:20px;

}


#opcionesMarca button{

    margin:5px;

}


#resultadoMarca{

    margin-top:40px;

}
#resultados{
    margin-top:20px;
}
.instagram{
    display:inline-flex;
    align-items:center;
    gap:8px;
    margin-top:15px;
    color:#D4AF37;
    text-decoration:none;
    font-weight:500;
    font-size:0.95rem;
}

.instagram i{
    font-size:1.2rem;
}
.catalogo-genero{
    display:none;
}
/* ================= MODAL PERFUME ================= */
.modal{

    display:none;

    position:fixed;

    top:0;
    left:0;

    width:100%;
    height:100%;

    background:rgba(0,0,0,.8);

    justify-content:center;
    align-items:center;

    z-index:9999;

}
.modal-contenido{

    width:100%;
    max-width:1000px;

    background:#111;

    border:1px solid rgba(212,175,55,.25);

    border-radius:20px;

    overflow-y:auto;

    max-height:90vh;

    display:flex;

    gap:40px;

    position:relative;

}

.modal-contenido img{

    width:45%;

    object-fit:contain;

    background:#1a1a1a;

    padding:30px;

}

.modal-info{

    flex:1;

    padding:40px;

}

.modal-info h2{

    color:#F3D27A;

    margin-bottom:10px;

}

.modal-info h3{

    color:#D4AF37;

    margin:20px 0;

}

.modal-info h4{

    color:#F3D27A;

    margin-top:25px;
    margin-bottom:8px;

}

.modal-info p{

    color:#ddd;

    line-height:1.8;

}

.cerrar-modal{

    position:absolute;

    top:15px;
    right:20px;

    font-size:38px;

    color:white;

    cursor:pointer;

}
.btn-detalles{

    display:block;

    margin:0 20px 12px;

    padding:14px;

    text-align:center;

    text-decoration:none;

    border:1px solid #D4AF37;

    color:#D4AF37;

    border-radius:10px;

    font-weight:600;

    transition:.3s;

}

.btn-detalles:hover{

    background:#D4AF37;

    color:#111;

}